Skip to content
Analytics & OperationsAnalytics

Track commerce analytics events

Records commerce events from the storefront — product views, add to cart, checkout steps — that feed the merchant's analytics.

POST/v1/analytics/events
No token

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/analytics/events" \  -H "x-Store-Domain: my-store" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "type": "Mi tienda",        "visitorId": "7204558912004321214",        "sessionId": "7204558912004323902",        "eventId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",        "occurredAt": "2026-09-28T15:30:00Z",        "productKey": "Mi tienda",        "productId": "7204558912004322039",        "cartId": "7204558912004325176"      }    ]  }'
{  "accepted": 1}